;XCREAM用検索設定
; https://www.xcream.net/adult

[generic]

SiteName=XCREAM
TopPage=https://www.xcream.net/ageverification?url=%252Fadult
AgeCheckURL=href="([^"]*&verified=true?)"

[search]
; アダルトタイトル
1=https://www.xcream.net/search?query%5Bgenre%5D=33&query%5Bkeyword%5D={PRODUCTCODE}&query%5Bfrom%5D=adult&x=43&y=22

[TitleList]

;BodyFilter=
Regex=href='(?<url>[^']*item/[0-9]+[^']*)'.*?<img[^>]*?title='(?<title>[^']*)'.*?src='(?<thumburl>[^']*)'.*?</div>
NextPage=href="([^"]*\[page\]={PAGENO}[^"]*)

[Title.1]

; マーカーなし
;Marker=
;BodyFilter=
; 型番
1=<th>品番.*?<td>(?<productcode>.*?)</td>
; メーカー
2=取り扱い店.*?<td[^>]*?><a[^>]*?>(?<seller>[^<]*?)<
; シリーズ(ジャンルとごっちゃになっている感がある)
3=<th[^>]*?>シリーズ.*?<a[^>]*?>(?<seller>[^<]*?)<
; パッケージ画像
4=id="img_center".*?<img[^>]*?src="(?<pkgimgurl>.*?)"

[Title.2]

; マーカーなし
;Marker=
; 出演者情報の切り出し
BodyFilter=出演者：.*?</td>
; 出演者
1=<a[^>]*?>(?<cast>[^<]*?)<
